// メニュー画面テキスト設定
infoText = new Array(
	newsText = new Array(),
	weatherText = new Array(),
	sportsText = new Array(),
	stockText = new Array(),
	movieText = new Array(),
	internetText = ["インターネット"],
	settingText = ["設定"]
);

infoTextLink = new Array(
	newsLink = new Array(),
	weatherLink = new Array(),
	sportsLink = new Array(),
	stockLink = new Array(),
	movieLink = new Array(),
	internetLink = ["インターネット"],
	settingLink = ["設定"]
);

// メイン画面テキスト設定
main_window_document = new Array(
	contents01 = new Array(),
	contents02 = new Array(),
	contents03 = new Array(),
	contents04 = new Array(),
	contents05 = new Array(),
	contents06 = new Array(),
	contents07 = new Array()
);

textArrayNumber = new Array(0,0,0,0,0,0,0);


// ヘッダーの移動
function setHeaderPosition(topPx){
	$("#header").animate({top:topPx},{duration:500});
};

// フッターの移動
function setMenuPosition(topPx){
	$("#footer").animate({top:topPx},{duration:500});
};

// メイン画面の表示、非表示の動作
function setMainPosition(topPx){
	$("#body").animate({top:topPx},{duration:700});
	$("#contents_arrow_right").animate({top:topPx},{duration:700});
	$("#contents_arrow_left").animate({top:topPx},{duration:700});
}

//--------------------------------------------------
// RSS
//--------------------------------------------------
// RSSフィードを取得
google.load("feeds", "1");

function initialize() {
	var newsFeed = getFeeds("http://news.google.com/news?hl=ja&ned=us&ie=UTF-8&oe=UTF-8&output=rss&num=5",newsText,newsLink,5);
	var weekWeatheFeed = getWeatherFeeds("http://weather.livedoor.com/forecast/rss/area/130010.xml");
	var sportsFeed = getFeeds("http://news.google.com/news?hl=ja&ned=us&ie=UTF-8&oe=UTF-8&output=rss&topic=s&num=5",sportsText,sportsLink,5);
	var stockFeed = getFeeds("http://news.google.com/news?hl=ja&ned=us&ie=UTF-8&oe=UTF-8&output=rss&q=株価&num=5",stockText,stockLink,5);
	var movieFeed = getMovieFeeds("http://videotopics.yahoo.co.jp/topics/all/rss",movieText,movieLink,5);
}

function getFeeds(feedUrl,arrayTitle,arrayLink,number){
	var feed = new google.feeds.Feed(feedUrl);
	feed.setNumEntries(number);
	feed.load(function(result) {
		if (!result.error) {
			for (var i = 0; i < result.feed.entries.length; i++) {
				var entry = result.feed.entries[i];
				arrayTitle[i] = entry.title;
				arrayLink[i] = entry.link;
			}
		}
	});
}

function getWeatherFeeds(feedUrl){
	weekWeather = new Array();
	weekWeatherImg = new Array();
	var feed = new google.feeds.Feed(feedUrl);
	feed.setNumEntries(8);
	feed.setResultFormat(google.feeds.Feed.MIXED_FORMAT);
	feed.load(function(result) {
		if (!result.error) {
			for (var i = 1; i < result.feed.entries.length; i++) {
				var entry = result.feed.entries[i];
				if(i == 1){
					weatherText[0] = entry.title.slice(18);
				}
				weekWeather[i-1] = entry.title.slice(18);
				weekWeatherImg[i-1] = $(entry.xmlNode).find('url').text();
			}
		}
	});
}

function getMovieFeeds(feedUrl,arrayTitle,arrayLink,number){
	movieImg = new Array();
	var feed = new google.feeds.Feed(feedUrl);
	feed.setNumEntries(number);
	feed.setResultFormat(google.feeds.Feed.MIXED_FORMAT);
	feed.load(function(result) {
		if (!result.error) {
			for (var i = 0; i < result.feed.entries.length; i++) {
				var entry = result.feed.entries[i];
				arrayTitle[i] = entry.title;
				arrayLink[i] = entry.xmlNode.getElementsByTagName("enclosure")[0].getAttribute("url");
			}
		}
	});
	
	feed.setResultFormat(google.feeds.Feed.XML_FORMAT);
	feed.load(function(result) {
		if (!result.error) {
			for (var i = 0; i < number; i++) {
				var items = result.xmlDocument.getElementsByTagName("item");
				var enclosureElement = items[i].getElementsByTagName("enclosure")[0];
				movieImg[i] = enclosureElement.attributes.getNamedItem("url").value;
			}
		}
	});
}

google.setOnLoadCallback(initialize);


//--------------------------------------------------
// メイン処理
//--------------------------------------------------
$().ready(function(){
	
	// 日時更新の開始
	startDateTime();
	
	// 初期表示設定
	$("#header").css('display','none');
	$("#footer").css('display','none');
	$("#body").css('display','none');
	
	setHeaderPosition("-=122");
	setMenuPosition("+=383");
	setMainPosition("+=900");

	$("#body").css('top','1080');
	$("#contents_arrow_right").css('top','1300');
	$("#contents_arrow_left").css('top','1300');
	
	menuItemNumber = 1;
	mainWindowNumber = 0;
	mainWindowCol = 0;
	mainWindowRow = 0;

	// 表示モード
	windowMode = 0;

	// 表示フラグ
	isHeader = false;
	isMenu = false;
	isContents = false;
	
	menu_items = [
		$("#menu_item_01"),
		$("#menu_item_02"),
		$("#menu_item_03"),
		$("#menu_item_04"),
		$("#menu_item_05"),
		$("#menu_item_06"),
		$("#menu_item_07"),
	]

	//メニューアイテムホバー時の処理
	menu_items[0].on("mouseenter", {number:0}, menuItemHover);
	menu_items[1].on("mouseenter", {number:1}, menuItemHover);
	menu_items[2].on("mouseenter", {number:2}, menuItemHover);
	menu_items[3].on("mouseenter", {number:3}, menuItemHover);
	menu_items[4].on("mouseenter", {number:4}, menuItemHover);
	menu_items[5].on("mouseenter", {number:5}, menuItemHover);
	menu_items[6].on("mouseenter", {number:6}, menuItemHover);

	//メニューアイテムクリック時の処理
	menu_items[0].on("click", {number:0}, menuItemClick);
	menu_items[1].on("click", {number:1}, menuItemClick);
	menu_items[2].on("click", {number:2}, menuItemClick);
	menu_items[3].on("click", {number:3}, menuItemClick);
	menu_items[4].on("click", {number:4}, menuItemClick);
	menu_items[5].on("click", {number:5}, menuItemClick);
	menu_items[6].on("click", {number:6}, menuItemClick);
	
	//メイン画面クリック時の処理
	$("#contents_back_text").on("click", function(){
		closeContents();
		openMenu();
		windowMode = 1;
	});
	$("#contents_arrow_left").on("click",function(){
		mainWindowCol = -2;
		setMainWindowHover();
	});
	$("#contents_arrow_right").on("click",function(){
		mainWindowCol = 2;
		setMainWindowHover();
	});
	
	// テレビ画面クリック時の処理
	$("#back_image").on("click",function() {
		if (windowMode == 0) {		// 非表示
			openHeader();
			openMenu();
			windowMode = 1;
		}
		else if (windowMode == 1) {	// メニュー
			closeHeader();
			closeMenu();
			windowMode = 0;
		}
		else if (windowMode == 2) {	// コンテンツ
			closeContents();
			openMenu();
			windowMode = 1;
		}
		else {						// あり得ない
			closeHeader();
			closeMenu();
			closeContents();
			windowMode = 0;
		}
	});

	//メニュー画面のキーボード操作
	$(window).keyup(function(event) {
		// 非表示
		if (windowMode == 0) {
			if (event.keyCode == 38) {		// ↑
				openHeader();
				openMenu();
				windowMode = 1;
			}
			else if (event.keyCode == 40) {	// ↓
			}
			else if (event.keyCode == 37) {	// ←
			}
			else if (event.keyCode == 39) {	// →
			}
			else if (event.keyCode == 13) {	// Enter
				openHeader();
				openMenu();
				windowMode = 1;
			}
			else if (event.keyCode == 8) {	// Backspace
			}
		}
		// メニュー
		else if (windowMode == 1) {
			if (event.keyCode == 38) {		// ↑
			}
			else if (event.keyCode == 40) {	// ↓
				closeHeader();
				closeMenu();
				windowMode = 0;
			}
			else if (event.keyCode == 37) {	// ←
				if ($("#header").is(":not(:animated)")) {
					menuItemNumber -= 1;
					if (menuItemNumber < 0){
						menuItemNumber = 6;
					}
				}
				menu_items[menuItemNumber].trigger("mouseenter",{number:menuItemNumber});
			}
			else if (event.keyCode == 39) {	// →
				if($("#header").is(":not(:animated)")){
					menuItemNumber += 1;
					if (menuItemNumber > 6){
						menuItemNumber = 0;
					}
				}
				menu_items[menuItemNumber].trigger("mouseenter",{number:menuItemNumber});
			}
			else if (event.keyCode == 13) {	// Enter
				menu_items[menuItemNumber].trigger("click",{number:menuItemNumber});
				windowMode = 2;
			}
			else if (event.keyCode == 8) {	// Backspace
				closeHeader();
				closeMenu();
				windowMode = 0;
			}
		}
		// コンテンツ
		else if (windowMode == 2) {
			if (event.keyCode == 38) {		// ↑
				if ($("#body").is(":not(:animated)")) {
					mainWindowRow -= 1;
					setMainWindowHover();
				}
			}
			else if (event.keyCode == 40) {	// ↓
				if($("#body").is(":not(:animated)")){
					mainWindowRow += 1;
					setMainWindowHover();
				}
			}
			else if (event.keyCode == 37) {	// ←
				if ($("#body").is(":not(:animated)")) {
					mainWindowCol -= 1;
					if(mainWindowCol >= 0 && mainWindowCol < main_window_document[mainWindowNumber].length){
						if(mainWindowRow >= main_window_document[mainWindowNumber][mainWindowCol].length){
							mainWindowRow = 0;
						}
					}
				}
				setMainWindowHover();
			}
			else if (event.keyCode == 39) {	// →
				if ($("#body").is(":not(:animated)")) {
					mainWindowCol += 1;
					if(mainWindowCol >= 0 && mainWindowCol < main_window_document[mainWindowNumber].length){
						if(mainWindowRow >= main_window_document[mainWindowNumber][mainWindowCol].length){
							mainWindowRow = 0;
						}
					}
					setMainWindowHover();
				}
			}
			else if (event.keyCode == 13) {	// Enter
				if ($("#body").is(":not(:animated)")) {
					if(mainWindowCol == -1){
						mainWindowCol -= 1;
						setMainWindowHover();
					}else if(mainWindowCol == main_window_document[mainWindowNumber].length){
						mainWindowCol += 1;
						setMainWindowHover();
					}else if(mainWindowRow == main_window_document[mainWindowNumber][mainWindowCol].length){
						closeContents()
						openMenu();
						windowMode = 1;
					}
				}
			}
			else if (event.keyCode == 8) {	// Backspace
				if ($("#body").is(":not(:animated)")) {
					closeContents()
					openMenu();
					windowMode = 1;
				}
			}
		}
		else {							// あり得ない
		}
	});
	
	// テキストの初期設定
	$("#info").css("overflow","hidden");
	$("#info_text").css("white-space","nowrap");
	$("#info_text").text("");
	$("#body").find("*").css("overflow","hidden");
	$("#body").find("*").css("white-space","nowrap");
	
	startInformation();
	
	mainTextFocus = $("#contents01_01_text");
	mainTextFocusLeft = '0';
	mainTextDisplay = setTimeout;
	mainTextDisplayStop = setTimeout;
	mainTextDisplayReset = setTimeout;
	
	// CSSの修正
	$("#contents01").css({"width":"1166px", "height":"380px"});
	for(var i = 1 ; i <= 5 ; i++){
		$("#contents01").children(":nth-child("+i+")").css({"width":"1166px", "height":"43px"});
	}
	$("#contents03").css({"width":"1166px", "height":"380px"});
	for(var i = 1 ; i <= 5 ; i++){
		$("#contents03").children(":nth-child("+i+")").css({"width":"1166px", "height":"43px"});
	}
	$("#contents04").css({"width":"1166px", "height":"380px"});
	for(var i = 1 ; i <= 5 ; i++){
		$("#contents04").children(":nth-child("+i+")").css({"width":"1166px", "height":"43px"});
	}
	$("#contents05").css({"width":"1166px", "height":"380px"});
	for(var i = 2 ; i <= 6 ; i++){
		$("#contents05").children(":nth-child("+i+")").css({"width":"666px", "height":"43px"});
	}
});

//--------------------------------------------------
// ヘッダ
//--------------------------------------------------
// ヘッダのオープン
function openHeader() {
	if (isHeader == false && $("#header").is(":not(:animated)")) {
		isHeader = true;
		$("#header").css('display','block');
		setHeaderPosition("+=122");
	}
}

// ヘッダのクローズ
function closeHeader(){
	if (isHeader == true && $("#header").is(":not(:animated)")) {
		setHeaderPosition("-=122");
		isHeader = false;
	}
}

// 日時更新の開始
function startDateTime() {
	// 初回表示
	var time = new Date($.now());
	var days = new Array("日","月","火","水","木","金","土");
	var month = ('0' + (time.getMonth() + 1)).slice(-2);
	var date = ('0' + time.getDate()).slice(-2);
	var day = days[time.getDay()];
	var hour = ('0' + time.getHours()).slice(-2);
	var minute =('0' + time.getMinutes()).slice(-2);

	$("#header_day").text(month + "月" + date +"日(" + day + ")");
	$("#header_date").text(hour + ":" + minute);

	// 定期更新
	setInterval(function(){
		var time = new Date($.now());
		var days = new Array("日","月","火","水","木","金","土");
		var month = ('0' + (time.getMonth() + 1)).slice(-2);
		var date = ('0' + time.getDate()).slice(-2);
		var day = days[time.getDay()];
		var hour = ('0' + time.getHours()).slice(-2);
		var minute =('0' + time.getMinutes()).slice(-2);

		$("#header_day").text(month + "月" + date +"日(" + day + ")");
		$("#header_date").text(hour + ":" + minute);
	} , 3000);
};

//--------------------------------------------------
// メニュー
//--------------------------------------------------
// メニューのオープン
function openMenu() {
	if (isMenu == false && $("#footer").is(":not(:animated)")) {
		isMenu = true;
		stopInformation();
		startInformation();
		$("#footer").css('display','block');
		setMenuPosition("-=383");
	}
}

// メニューのクローズ
function closeMenu() {
	if (isMenu == true && $("#footer").is(":not(:animated)")) {
		setMenuPosition("+=383");
		stopInformation();
		isMenu = false;
	}
}

// 情報更新の開始
function startInformation(){
	var overWidth = 0;
	var scroll = true;
	$("#info_text").css("left","21");
	overWidth = parseInt($("#info_text").css("width")) - 1121;
	if(overWidth < 0){
		overWidth = 0;
		scroll = false;
	}

	$("#info_text").text(infoText[menuItemNumber][textArrayNumber[menuItemNumber]]);

	var movetime = 0;
	
	textDisplay = setTimeout;
	textDisplayStop = setTimeout;
	textDisplayReset = setTimeout;
	
	if(scroll == false && infoText[menuItemNumber].length == 1){
	}else{
		textDisplay = setTimeout(function(){
			moveTime = overWidth * 8;
			$("#info_text").animate({"left":"-=" + overWidth},{'duration':moveTime});
			textDisplayStop = setTimeout(function(){
				$("#info_text").stop(true,false);
				$("#info_text").css('display','none');
				textDisplayReset = setTimeout(function(){
					textArrayNumber[menuItemNumber] += 1;
					if (textArrayNumber[menuItemNumber] > infoText[menuItemNumber].length-1){
					textArrayNumber[menuItemNumber] = 0;
					}
					$("#info_text").text(infoText[menuItemNumber][textArrayNumber[menuItemNumber]]);
					$("#info_text").css('left','21');
					$("#info_text").css('display','block');
					startInformation();
				},500);
			},3000+moveTime);
		},3000);
	}
}

// 情報更新の停止
function stopInformation() {
	clearTimeout(textDisplay);
	clearTimeout(textDisplayStop);
	clearTimeout(textDisplayReset);
	$("#info_text").stop(true,false);
}

// メニューアイテムホバー時の処理
function menuItemHover(event){

	if($("#header").is(":not(:animated)")){

		menuItemNumber = event.data.number;

		$("#menu_item_hover").css("left",parseInt($(this).css("left")));
		$("#info_text").text(infoText[menuItemNumber][textArrayNumber[menuItemNumber]]);

		stopInformation();
		startInformation();
	}
}

// メニューアイテムクリック時の動作
function menuItemClick(event) {

	if ($("#header").is(":not(:animated)")) {

		windowMode = 2;

		mainWindowNumber = event.data.number;

		closeMenu();

		// コンテンツの表示
		setMainPosition("-=900");
		setMainDisplayDocument();
		openContents();
	}
}

//--------------------------------------------------
// コンテンツ
//--------------------------------------------------
//メイン画面の表示設定
function setMainDisplayDocument(){
	
	$("#body").css('display','block');

	//ニュース画面
	contents01[0] = [
		$("#contents01_01_text"),
		$("#contents01_02_text"),
		$("#contents01_03_text"),
		$("#contents01_04_text"),
		$("#contents01_05_text"),
	]
	
	for(var i = 0 ; i < 5 ; i++){
		contents01[0][i].text(infoText[0][i]);
	}
	
	//天気画面
	contents02[0] = [
		$("#contents02_01"),
		$("#contents02_02"),
		$("#contents02_03"),
		$("#contents02_04"),
		$("#contents02_05"),
		$("#contents02_06"),
		$("#contents02_07"),
	]
	
	for(var i = 0 ; i < 7 ; i++){
		contents02[0][i].children("p").text(weekWeather[i]);
		contents02[0][i].children("img").attr('src',weekWeatherImg[i]);
	}
	
	//スポーツ画面
	contents03[0] = [
		$("#contents03_01_text"),
		$("#contents03_02_text"),
		$("#contents03_03_text"),
		$("#contents03_04_text"),
		$("#contents03_05_text"),
	]
	
	for(var i = 0 ; i < 5 ; i++){
		contents03[0][i].text(infoText[2][i]);
	}
	
	//株価画面
	contents04[0] = [
		$("#contents04_01_text"),
		$("#contents04_02_text"),
		$("#contents04_03_text"),
		$("#contents04_04_text"),
		$("#contents04_05_text"),
	]
	
	for(var i = 0 ; i < 5 ; i++){
		contents04[0][i].text(infoText[3][i]);
	}
	
	//動画&音楽画面
	contents05[0] = [
		$("#contents05_01_text"),
		$("#contents05_02_text"),
		$("#contents05_03_text"),
		$("#contents05_04_text"),
		$("#contents05_05_text"),
	]
	/*contents05[1] = [
		$("#contents05_image")
	]*/
	
	for(var i = 0 ; i < 5 ; i++){
		contents05[0][i].text(infoText[4][i]);
	}
	
	//インターネット画面
	contents06[0] = [
		$("#contents06_01_text"),
		$("#contents06_02_text"),
		$("#contents06_03_text"),
		$("#contents06_04_text"),
		$("#contents06_05_text"),
	]
	
	//設定画面
	contents07[0] = [
		$("#contents07_01_text"),
		$("#contents07_02_text"),
		$("#contents07_03_text"),
		$("#contents07_04_text"),
		$("#contents07_05_text"),
	]
}

// メイン画面の表示
function openContents(){

	mainWindowCol = 0;
	mainWindowRow = 0;
	for(var i = 0 ; i < 7 ; i++){
		displayId = "#contents0" + (i + 1);
		if(i != mainWindowNumber){
			$(displayId).css('display','none');
		}else{
			$(displayId).css('display','block');
		}
	}
	setMainWindowHover();

	isContents = true;
}

// メイン画面を閉じる
function closeContents(){
	if($("#body").is(":not(:animated)")){
		setMainPosition("+=900");
		menuItemNumber = mainWindowNumber;
		menu_items[menuItemNumber].trigger("mouseenter",{number:menuItemNumber});
		isContents = false;
	}
};

//メイン画面のテキストの表示
function mainLongTextDisplay(text,width){
	var textWidth = parseInt(text.css("width"));
	if(textWidth > width){
		mainTextFocus = text;
		mainTextFocusLeft = text.css("left");
		overWidth = textWidth - width;
		
		mainTextDisplay = setTimeout(function(){
			moveTime = overWidth * 6;
			text.animate({"left":"-=" + overWidth},{'duration':moveTime});
			mainTextDisplayStop = setTimeout(function(){
				text.stop(true,false);
				text.css('display','none');
				mainTextDisplayReset = setTimeout(function(){
					text.css('left',mainTextFocusLeft);
					text.css('display','block');
					mainLongTextDisplay(text,width);
				},500);
			},2000+moveTime);
		},2000);
	}
}

//メイン画面のホバー位置の表示
function setMainWindowHover(){
	mainTextFocus.stop(true,false);
	mainTextFocus.css('left',mainTextFocusLeft);
	
	clearTimeout(mainTextDisplay);
	clearTimeout(mainTextDisplayStop);
	clearTimeout(mainTextDisplayReset);
	
	if(mainWindowCol < -1){
		//$("#contents_arrow_left").css('display', 'none');
		//$("#contents_arrow_right").css('display', 'none');
		mainWindowNumber -= 1;
		if(mainWindowNumber == -1){
			mainWindowNumber = 6;
		}
		$("#body").animate(
			{left:'+=1541'},
			{
				duration:700,
				complete: function(){
					$("#body").css('left','-1443px');
					openContents();
					$("#body").animate(
						{left:'+=1541'},
						{
							duration:700,
							complete: function(){
								resetHoverDisplay();
								$("#contents_arrow_left").css('display', 'block');
								$("#contents_arrow_right").css('display', 'block');
							}
						}
					);
				}
			}
		);
	}else if(mainWindowCol > main_window_document[mainWindowNumber].length){
		//$("#contents_arrow_left").css('display', 'none');
		//$("#contents_arrow_right").css('display', 'none');
		$("#contents_arrow_left_hover").css('display', 'none');
		$("#contents_arrow_right_hover").css('display', 'none');
		mainWindowNumber += 1;
		if(mainWindowNumber == 7){
			mainWindowNumber = 0;
		}
		$("#body").animate(
			{left:'-=1541'},
			{
				duration:700,
				complete: function(){
					$("#body").css('left','1639px');
					
					openContents();
					$("#body").animate(
						{left:'-=1541'},
						{
							duration:700,
							complete: function(){
							resetHoverDisplay();
							$("#contents_arrow_left").css('display', 'block');
							$("#contents_arrow_right").css('display', 'block');
							}
						}
					);
				}
			}
		);
	}else if(mainWindowCol == -1){
		//$("#contents_arrow_left").css('border-color', 'transparent #e4007f transparent transparent');
		$("#contents_arrow_left_hover").css('display', 'block');
		$("#contents_hover").css('display', 'none');
	}else if(mainWindowCol == main_window_document[mainWindowNumber].length){
		//$("#contents_arrow_right").css('border-color', 'transparent transparent transparent #e4007f');
		$("#contents_arrow_right_hover").css('display', 'block');
		$("#contents_hover").css('display', 'none');
	}else{
		$("#contents_arrow_left_hover").css('display', 'none');
		$("#contents_arrow_right_hover").css('display', 'none');
		if(mainWindowRow < 0){
			mainWindowRow = main_window_document[mainWindowNumber][mainWindowCol].length
			setMainWindowHover();
		}else if(mainWindowRow == main_window_document[mainWindowNumber][mainWindowCol].length){
			resetHoverDisplay();
			var hoverDocument = $("#contents_back_text");
			var top = parseInt(hoverDocument.css("top")) - 10;
			var left = parseInt(hoverDocument.css("left")) - 10;
			var width = parseInt(hoverDocument.css("width")) + 20;
			var height = parseInt(hoverDocument.css("height")) + 20;
			setMainWindowHoverPotition(top,left,width,height);
		}else if(mainWindowRow > main_window_document[mainWindowNumber][mainWindowCol].length){
			mainWindowRow = 0;
			setMainWindowHover();
		}else{
			resetHoverDisplay();
			var hoverDocument = main_window_document[mainWindowNumber][mainWindowCol][mainWindowRow];
			if(mainWindowNumber == 4){
				$("#contents05_image").attr("src",movieImg[mainWindowRow]);
				mainLongTextDisplay(hoverDocument,parseInt(hoverDocument.parent().css("width")));
				hoverDocument = hoverDocument.parent();
				var parentDocument = hoverDocument.parent();
				var top = parseInt(hoverDocument.css("top")) + parseInt(parentDocument.css("top")) - 10;
				var left = parseInt(hoverDocument.css("left")) + parseInt(parentDocument.css("left")) - 10;
				var width = parseInt(hoverDocument.css("width")) + 20;
				var height = parseInt(hoverDocument.css("height")) + 20;
				setMainWindowHoverPotition(top,left,width,height);
			}else if(hoverDocument.get(0).tagName == "P"){
				mainLongTextDisplay(hoverDocument,parseInt(hoverDocument.parent().css("width")));
				hoverDocument = hoverDocument.parent();
				var parentDocument = hoverDocument.parent();
				var top = parseInt(hoverDocument.css("top")) + parseInt(parentDocument.css("top")) - 10;
				var left = parseInt(hoverDocument.css("left")) + parseInt(parentDocument.css("left")) - 10;
				var width = parseInt(parentDocument.css("width")) + 20;
				var height = parseInt(hoverDocument.css("height")) + 20;
				setMainWindowHoverPotition(top,left,width,height);
			}else{
				mainLongTextDisplay(hoverDocument,parseInt(hoverDocument.parent().css("width")));
				var parentDocument = hoverDocument.parent();
				var top = parseInt(hoverDocument.css("top")) + parseInt(parentDocument.css("top")) - 10;
				var left = parseInt(hoverDocument.css("left")) + parseInt(parentDocument.css("left")) - 10;
				var width = parseInt(parentDocument.css("width")) + 20;
				var height = parseInt(hoverDocument.css("height")) + 20;
				setMainWindowHoverPotition(top,left,width,height);
			}
		}
	}
}

function setMainWindowHoverPotition(top,left,width,height){
	$("#contents_hover").css(
		{
			"top": top,
			"left": left,
			"width": width,
			"height": height,
		}
	)
}

function resetHoverDisplay(){
	$("#contents_hover").css('display', 'block');
	$("#contents_arrow_left").css('border-color', 'transparent #000000 transparent transparent');
	$("#contents_arrow_right").css('border-color', 'transparent transparent transparent #000000');
}
